#!/bin/bash
#SBATCH --job-name=vtune-2024.1.0-case
#SBATCH --partition=batch
#SBATCH --time=1:00:00
#SBATCH --nodes=1

module load intel-oneapi-compilers intel-oneapi-vtune

icx -g -O2 my_program.c -o my_program

vtune -collect performance-snapshot ./my_program
